hpp-fcl: ShapeMeshDistanceTraversalNodeOBBRSS< S > Class Template Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | List of all members
ShapeMeshDistanceTraversalNodeOBBRSS< S > Class Template Reference

`#include <hpp/fcl/internal/traversal_node_bvh_shape.h>`

Inheritance diagram for ShapeMeshDistanceTraversalNodeOBBRSS< S >:

## Public Member Functions
| ShapeMeshDistanceTraversalNodeOBBRSS ()
void | preprocess ()
void | postprocess ()
FCL_REAL | BVDistanceLowerBound (unsigned int, unsigned int b2) const
void | leafComputeDistance (unsigned int b1, unsigned int b2) const
Public Member Functions inherited from ShapeMeshDistanceTraversalNode< S, OBBRSS >
| ShapeMeshDistanceTraversalNode ()
void | leafComputeDistance (unsigned int, unsigned int b2) const
| Distance testing between leaves (one shape and one triangle) More...
bool | canStop (FCL_REAL c) const
| Whether the traversal process can stop early. More...

## Additional Inherited Members
Public Attributes inherited from ShapeMeshDistanceTraversalNode< S, OBBRSS >
Vec3f * | vertices
Triangle * | tri_indices
FCL_REAL | rel_err
FCL_REAL | abs_err
const GJKSolver * | nsolver

## Constructor & Destructor Documentation

## ◆ ShapeMeshDistanceTraversalNodeOBBRSS()

template<typename S >

ShapeMeshDistanceTraversalNodeOBBRSS< S >::ShapeMeshDistanceTraversalNodeOBBRSS | ( |  | ) |
| inline

## Member Function Documentation

## ◆ BVDistanceLowerBound()

template<typename S >

FCL_REAL ShapeMeshDistanceTraversalNodeOBBRSS< S >::BVDistanceLowerBound | ( | unsigned int | ,
|  | unsigned int | b2
| ) |  | const
| inline

## ◆ leafComputeDistance()

template<typename S >

void ShapeMeshDistanceTraversalNodeOBBRSS< S >::leafComputeDistance | ( | unsigned int | b1,
|  | unsigned int | b2
| ) |  | const
| inline

## ◆ postprocess()

template<typename S >

void ShapeMeshDistanceTraversalNodeOBBRSS< S >::postprocess | ( |  | ) |
| inline

## ◆ preprocess()

template<typename S >

void ShapeMeshDistanceTraversalNodeOBBRSS< S >::preprocess | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/fcl/internal/traversal_node_bvh_shape.h